linux-lts-quantal: 3.5.0-34.55~precise1 -proposed tracker

Bug #1188496 reported by Brad Figg on 2013-06-07
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-signed
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-34.55~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 07. June 2013 07:02 UTC
kernel-stable-master-bug:1187926
kernel-stable-Prepare-package-end:Friday, 07. June 2013 18:03 UTC
kernel-stable-Promote-to-proposed-start:Friday, 07. June 2013 18:03 UTC
kernel-stable-Promote-to-proposed-end:Friday, 07. June 2013 20:09 UTC
kernel-stable-Verification-testing-start:Friday, 07. June 2013 22:07 UTC
kernel-stable-Verification-testing-end:Monday, 10. June 2013 06:08 UTC
kernel-stable-Certification-testing-start:Monday, 10. June 2013 06:08 UTC
kernel-stable-Security-signoff-start:Monday, 10. June 2013 06:08 UTC
kernel-stable-Regression-testing-start:Monday, 10. June 2013 06:08 UTC
kernel-stable-Regression-testing-end:Tuesday, 11. June 2013 04:08 UTC
kernel-stable-Security-signoff-end:Tuesday, 11. June 2013 11:07 UTC
kernel-stable-Certification-testing-end:Wednesday, 12. June 2013 14:09 UTC
kernel-stable-Promote-to-updates-start:Thursday, 13. June 2013 10:09 UTC
kernel-stable-Promote-to-updates-end:Thursday, 13. June 2013 20:14 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 13. June 2013 22:07 UTC

Brad Figg (brad-figg) on 2013-06-07
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Brad Figg (brad-figg) on 2013-06-07
description: updated
Brad Figg (brad-figg) on 2013-06-07
description: updated
Adam Conrad (adconrad) on 2013-06-08
Changed in linux-lts-quantal (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-06-10
description: updated
Paul Larson (pwlars) on 2013-06-11
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-06-11
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-06-11
description: updated

Hardware Certification have begun testing this -proposed kernel

Hardware Certification have completed testing on this -proposed kernel. No regressions were observed and test results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.5.0-31.52~precise1/precise-3.5-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-06-12
description: updated
Brad Figg (brad-figg) on 2013-06-13
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (18.5 KiB)

This bug was fixed in the package linux-lts-quantal - 3.5.0-34.55~precise1

---------------
linux-lts-quantal (3.5.0-34.55~precise1) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1188496

  [ Upstream Kernel Changes ]

  * iwlwifi: dvm: fix zero LQ CMD sending avoidance
    - LP: #1186932

linux (3.5.0-33.54) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1186271

  [ Upstream Kernel Changes ]

  * crypto: algif - suppress sending source address information in recvmsg
    - LP: #1172363
    - CVE-2013-3076
  * ax25: fix info leak via msg_name in ax25_recvmsg()
    - LP: #1172366
    - CVE-2013-3223
  * Bluetooth: fix possible info leak in bt_sock_recvmsg()
    - LP: #1172368
    - CVE-2013-3224
  * tipc: fix info leaks via msg_name in recv_msg/recv_stream
    - LP: #1172403
    - CVE-2013-3235
  * rose: fix info leak via msg_name in rose_recvmsg()
    - LP: #1172394
    - CVE-2013-3234
  * Bluetooth: RFCOMM - Fix missing msg_namelen update in
    rfcomm_sock_recvmsg()
    - LP: #1172369
    - CVE-2013-3225
  * atm: update msg_namelen in vcc_recvmsg()
    - LP: #1172365
    - CVE-2013-3222
  * iwlwifi: add new pci id for 6x35 series
    - LP: #1180256
  * ath9k_htc: accept 1.x firmware newer than 1.3
    - LP: #1186062
  * ssb: implement spurious tone avoidance
    - LP: #1186062
  * can: mcp251x: add missing IRQF_ONESHOT to request_threaded_irq
    - LP: #1186062
  * can: sja1000: fix handling on dt properties on little endian systems
    - LP: #1186062
  * ath9k_hw: change AR9580 initvals to fix a stability issue
    - LP: #1186062
  * ARM: 7696/1: Fix kexec by setting outer_cache.inv_all for Feroceon
    - LP: #1186062
  * ARM: 7698/1: perf: fix group validation when using enable_on_exec
    - LP: #1186062
  * hugetlbfs: add swap entry check in follow_hugetlb_page()
    - LP: #1186062
  * kernel/signal.c: stop info leak via the tkill and the tgkill syscalls
    - LP: #1186062
  * hfsplus: fix potential overflow in hfsplus_file_truncate()
    - LP: #1186062
  * sched: Convert BUG_ON()s in try_to_wake_up_local() to WARN_ON_ONCE()s
    - LP: #1186062
  * perf/x86: Fix offcore_rsp valid mask for SNB/IVB
    - LP: #1186062
  * vm: add vm_iomap_memory() helper function
    - LP: #1186062
  * vm: convert HPET mmap to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert fb_mmap to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert snd_pcm_lib_mmap_iomem() to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert mtdchar mmap to vm_iomap_memory() helper
    - LP: #1186062
  * regulator: fixed regulator_bulk_enable unwinding code
    - LP: #1186062
  * perf: Fix error return code
    - LP: #1186062
  * xen/smp: Fix leakage of timer interrupt line for every CPU
    online/offline.
    - LP: #1186062
  * xen/smp/spinlock: Fix leakage of the spinlock interrupt line for every
    CPU online/offline
    - LP: #1186062
  * xen/time: Fix kasprintf splat when allocating timer%d IRQ line.
    - LP: #1186062
  * s390/memory hotplug: prevent offline of active memory increments
    - LP: #1186062
  * aio: fix possible invalid memory access when DEBUG is enabled
    - LP: #1186062
 ...

Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-06-13
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers